%global pluginapi 3.7.10.0
# define plugin version
%global acpinotifier    1.0.25
%global addresskeeper   1.0.4
%global archive         0.6.10
%global attachwarner    0.2.22
%global attremover      1.0.12
%global bsfilter        1.0.6
%global clamd           3.5.2
%global fancy           0.9.14cvs1
%global fetchinfo       0.4.24
%global gdata           0.2cvs11
%global geolocation     0.0.6
%global gtkhtml2viewer  0.31
%global mailmbox        1.14.5
%global newmail         0.0.15
%global notification    0.28
%global perl            0.9.18
%global python          0.8
%global rssyl           0.31
%global spamreport      0.3.14
%global tnef            0.3.11
%global vcalendar       2.0.11

Name:           claws-mail-plugins
Version:        3.7.10
Release:        7%{?dist}
Summary:        Additional plugins for claws-mail

Group:          Applications/Internet
License:        GPLv2 and GPLv3+ and MIT
URL:            http://claws-mail.org
Source0:        http://downloads.sourceforge.net/sylpheed-claws/claws-mail-extra-plugins-%{version}.tar.bz2
Source1:        gdata-0.2cvs11.tar.bz2
Source2:        fancy-0.9.14cvs1.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1:         claws-mail-plugins-geolocation-champlain-0.9.patch

BuildRequires:  claws-mail-devel >= %{version}
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  libetpan-devel
BuildRequires:  perl-devel perl(ExtUtils::Embed)
BuildRequires:  curl-devel
BuildRequires:  libxml2-devel
%if 0%{?fedora} < 16
BuildRequires:  gtkhtml2-devel
%endif
BuildRequires:  libidn-devel
BuildRequires:  libtool
BuildRequires:  gpgme-devel
BuildRequires:  libarchive-devel
%if !0%{?rhel}
BuildRequires:  libytnef-devel
%endif
BuildRequires:  ghostscript
BuildRequires:  enchant-devel
BuildRequires:  webkitgtk-devel
# fix #496149
BuildRequires:  libnotify-devel
BuildRequires:  python python-devel pygtk2-devel
BuildRequires:  libcanberra-devel
%if 0%{?fedora} >= 12
BuildRequires:  libchamplain-gtk-devel
%endif
%if !0%{?rhel}
BuildRequires:  libgdata-devel
%endif
BuildRequires:  autoconf automake gettext gettext-devel

Requires:       %{name}-acpi-notifier = %{version}-%{release}
Requires:       %{name}-address-keeper = %{version}-%{release}
Requires:       %{name}-archive = %{version}-%{release}
Requires:       %{name}-att-remover = %{version}-%{release}
Requires:       %{name}-attachwarner = %{version}-%{release}
Requires:       %{name}-bsfilter = %{version}-%{release}
Requires:       %{name}-clamd = %{version}-%{release}
Requires:       %{name}-fancy = %{version}-%{release}
Requires:       %{name}-fetchinfo = %{version}-%{release}
%if !0%{?rhel}
Requires:       %{name}-gdata = %{version}-%{release}
%endif
%if 0%{?fedora} >= 12
Requires:       %{name}-geolocation = %{version}-%{release}
%endif
%if 0%{?fedora} < 16
Requires:       %{name}-gtkhtml2-viewer = %{version}-%{release}
%endif
Requires:       %{name}-mailmbox = %{version}-%{release}
Requires:       %{name}-newmail = %{version}-%{release}
Requires:       %{name}-notification = %{version}-%{release}
Requires:       %{name}-perl = %{version}-%{release}
Requires:       %{name}-python = %{version}-%{release}
Requires:       %{name}-rssyl = %{version}-%{release}
Requires:       %{name}-spam-report = %{version}-%{release}
%if !0%{?rhel}
Requires:       %{name}-tnef = %{version}-%{release}
%endif
Requires:       %{name}-vcalendar = %{version}-%{release}

# and the ones from main claws-mail-package...
%if !0%{?rhel}
Requires:       %{name}-dillo
%endif
Requires:       %{name}-spamassassin
Requires:       %{name}-pgp
Requires:       %{name}-bogofilter
Requires:       %{name}-smime

# Dec 2006
Obsoletes:      sylpheed-claws-plugins <= 2.6.0
Provides:       sylpheed-claws-plugins = %{version}-%{release}

%description
Additional plugins for claws-mail

%package acpi-notifier
Summary:        ACPI notification plugin for claws-mail 
Group:          Applications/Internet
Requires:       claws-mail(plugin-api)%{?_isa} = %pluginapi
# Dec 2006
Provides:       sylpheed-claws-plugins-acpi-notifier = %{version}-%{release}
Obsoletes:      sylpheed-claws-plugins-acpi-notifier <= 2.6.0

%description acpi-notifier
Enables mail notification via LEDs on some laptops. Options can be found on
the 'Plugins/Acpi Notifier' page of the preferences.

%package address-keeper
Summary:        Never forget a typed address
Group:          Applications/Internet
Requires:       claws-mail(plugin-api)%{?_isa} = %pluginapi

%description address-keeper
This plugin allows saving outgoing addresses to a designated folder
in the address book. Addresses are saved only if not found in the
address book to avoid unwanted duplicates.

%package archive
Summary:        Archiving features for claws-mail 
Group:          Applications/Internet
Requires:       claws-mail(plugin-api)%{?_isa} = %pluginapi

%description archive
%{summary}

%package attachwarner
Summary:        Attachment warner plugin for claws-mail 
Group:          Applications/Internet
Requires:       claws-mail(plugin-api)%{?_isa} = %pluginapi

%description attachwarner
Warns when the user composes a message mentioning an attachment in the message
body but without attaching any files to the message. 


%package att-remover
Summary:        Attachments remover plugin for claws-mail 
Group:          Applications/Internet
Requires:       claws-mail(plugin-api)%{?_isa} = %pluginapi
# Dec 2006
Provides:       sylpheed-claws-plugins-att-remover = %{version}-%{release}
Obsoletes:      sylpheed-claws-plugins-att-remover <= 2.6.0

%description att-remover
Enables the removal of attachments from emails. When right-clicking a message,
choose 'Remove attachments' from the sub-menu.

%package bsfilter
Summary:        Bayesian spam filtering for claws-mail
Group:          Applications/Internet
Requires:       claws-mail(plugin-api)%{?_isa} = %pluginapi

%description bsfilter
Bayesian spam filtering for claws-mail using Bsfilter.

%package clamd
Summary:        Use Clam AntiVirus to scan all messages
Group:          Applications/Internet
Requires:       claws-mail(plugin-api)%{?_isa} = %pluginapi
# was dropped as of 3.3.1 -> use this as 'successor'
Provides:       claws-mail-plugins-clamav = %{version}-%{release}

%description clamd
This plugin uses Clam AntiVirus to scan all messages that are
received from an IMAP, LOCAL or POP account.
When a message attachment is found to contain a virus it can be
deleted or saved in a specially designated folder.
Options can be found in /Configuration/Preferences/Plugins/Clam AntiVirus.

%package fancy
Summary:        Render HTML emails via WebKit
Group:          Applications/Internet
Requires:       claws-mail(plugin-api)%{?_isa} = %pluginapi

%description fancy
This plugin renders HTML email via the GTK+ port of the WebKit library.

%package fetchinfo
Summary:        Inserts headers containing some download information
Group:          Applications/Internet
Requires:       claws-mail(plugin-api)%{?_isa} = %pluginapi
# Dec 2006
Provides:       sylpheed-claws-plugins-fetchinfo = %{version}-%{release}
Obsoletes:      sylpheed-claws-plugins-fetchinfo <= 2.6.0

%description fetchinfo
This plugin inserts headers containing some download information:
UIDL, Sylpheeds account name, POP server, user ID and retrieval time.

%if !0%{?rhel}
%package gdata
Summary:        Access to GData (Google services) for Claws Mail
Group:          Application/Internet
Requires:       claws-mail(plugin-api)%{?_isa} = %pluginapi

%description gdata
Access to GData (Google services) for Claws Mail.

The only currently implemented feature is inclusion of
Google contacts into the address completion.
%endif

%if 0%{?fedora} >= 12
%package geolocation
Summary:        Provide GeoLocation functionality
Group:          Applications/Internet
Requires:       claws-mail(plugin-api)%{?_isa} = %pluginapi

%description geolocation
This plugin provides GeoLocation functionality
%endif

%if 0%{?fedora} < 12
%package gtkhtml2-viewer
Summary:        GTK Html Viewer
Group:          Applications/Internet
Requires:       claws-mail(plugin-api)%{?_isa} = %pluginapi
# Dec 2006
Provides:       sylpheed-claws-plugins-gtkhtml2-viewer = %{version}-%{release}
Obsoletes:      sylpheed-claws-plugins-gtkhtml2-viewer <= 2.6.0


%description gtkhtml2-viewer
Renders HTML mail using the gtkhtml2 rendering widget. The option, 'Do not load
remote links in mails' can be found on the 'Plugins/GtkHtml2 Viewer' page of
the preferences.
%endif

%package mailmbox
Summary:        Support for mailboxes in mbox format
Group:          Applications/Internet
Requires:       claws-mail(plugin-api)%{?_isa} = %pluginapi
# Dec 2006
Provides:       sylpheed-claws-plugins-mailmbox = %{version}-%{release}
Obsoletes:      sylpheed-claws-plugins-mailmbox <= 2.6.0


%description mailmbox
This plugin provides direct support for mailboxes in mbox format.

%package newmail
Summary:        Write a message header summary to a log file
Group:          Applications/Internet
Requires:       claws-mail(plugin-api)%{?_isa} = %pluginapi
# Dec 2006
Provides:       sylpheed-claws-plugins-newmail = %{version}-%{release}
Obsoletes:      sylpheed-claws-plugins-newmail <= 2.6.0

%description newmail
Write a message header summary to a log file (defaults to ~/Mail/NewLog) an
arrival of new mail *after* sorting.

%package notification
Summary:        New mail notifications
Group:          Applications/Internet
Requires:       claws-mail(plugin-api)%{?_isa} = %pluginapi
# Dec 2006
Provides:       sylpheed-claws-plugins-notification = %{version}-%{release}
Obsoletes:      sylpheed-claws-plugins-notification <= 2.6.0

%description notification
This plugin collects various ways to notify the user of new (and possibly
unread) mail. Currently, a pop-up and a mail banner are implemented.

%package perl
Summary:        Extended filtering engine
Group:          Applications/Internet
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       claws-mail(plugin-api)%{?_isa} = %pluginapi
# Dec 2006
Provides:       sylpheed-claws-plugins-perl = %{version}-%{release}
Obsoletes:      sylpheed-claws-plugins-perl <= 2.6.0

%description perl
This plugin provides an extended filtering engine for the email client
claws-mail. It allows for the use of full perl power in email filters.

%package python
Summary:        Python scripting access to claws-mail
Group:          Applications/Internet
Requires:       claws-mail(plugin-api)%{?_isa} = %pluginapi

%description python
This plugin offers a Python scripting access to Claws Mail. Python code can be
entered interactively into an embedded Python console, or stored in scripts
under ~/.claws-mail/python-scripts. The scripts are then accessible via the
menu of the main window.

%package rssyl
Summary:        RSS plugin for claws-mail
Group:          Applications/Internet
Requires:       claws-mail(plugin-api)%{?_isa} = %pluginapi
# Dec 2006
Provides:       sylpheed-claws-plugins-rssyl = %{version}-%{release}
Obsoletes:      sylpheed-claws-plugins-rssyl <= 2.6.0

%description rssyl
Allows you to read your favorite RSS news feeds in Claws. RSS 1.0,
2.0 and Atom feeds are currently supported.

%package spam-report
Summary:        Report spam mail to various places
Group:          Applications/Internet
Requires:       claws-mail(plugin-api)%{?_isa} = %pluginapi

%description spam-report
This plugin can report spam mails to various places.

%if !0%{?rhel}
%package tnef
Summary:        Tnef message parsing
Group:          Applications/Internet
Requires:       claws-mail(plugin-api)%{?_isa} = %pluginapi

%description tnef
This plugin allows reading of application/ms-tnef attachments.
%endif

%package vcalendar
Summary:        Handling for vCalendar messages
Group:          Applications/Internet
Requires:       claws-mail(plugin-api)%{?_isa} = %pluginapi
# Dec 2006
Provides:       sylpheed-claws-plugins-vcalendar = %{version}-%{release}
Obsoletes:      sylpheed-claws-plugins-vcalendar <= 2.6.0

%description vcalendar
This plugin enables vCalendar message handling like that produced by
Evolution or Outlook. It also supports subscribing to remote webCal feeds, and
exporting of your meetings or all your calendars.

%prep
%setup -q -n claws-mail-extra-plugins-%{version}

# guard for pluginapi
SOURCEAPI=$(grep -A 1 VERSION_NUMERIC %{_includedir}/claws-mail/common/version.h | tr -d '\n' | perl -ne 's/[\\\s]//g; m/(\d+),(\d+),(\d+),(\d+)/; print("$1.$2.$3.$4");')
[ "%pluginapi" == "$SOURCEAPI" ] || exit -1

# hack - Fedora 14 has libchamplain-gtk >= 0.6 and wouldn't even build
%if 0%{?fedora} == 14
sed -i -e 's!champlain-gtk-0.4!champlain-gtk-0.6!g' geolocation_plugin-%{geolocation}/configure
%endif

%if 0%{?fedora} == 15
sed -i -e 's!champlain-gtk-0.4!champlain-gtk-0.10!g' geolocation_plugin-%{geolocation}/configure
sed -i -e 's!clutter-gtk-0.10!clutter-gtk-1.0!g' geolocation_plugin-%{geolocation}/configure
pushd geolocation_plugin-%{geolocation}
%patch1 -p2 -b .geolocation_champlain-0.10
popd
%endif

%if 0%{?fedora} > 15
sed -i -e 's!champlain-gtk-0.4!champlain-gtk-0.12!g' geolocation_plugin-%{geolocation}/configure
sed -i -e 's!clutter-gtk-0.10!clutter-gtk-1.0!g' geolocation_plugin-%{geolocation}/configure
pushd geolocation_plugin-%{geolocation}
%patch1 -p2 -b .geolocation_champlain-0.10
popd
%endif

# fix perms
pushd vcalendar-%{vcalendar}
chmod 0644 COPYING README AUTHORS
popd

# extract cvs version of gdata for newer libgdata support
rm -fr gdata_plugin-0.2
tar -xjvf %{SOURCE1}

# extract cvs version of fancy for new webkit
rm -fr fancy-0.9.14
tar -xjvf %{SOURCE2}

%build
#acpi_notifier
cd acpi_notifier-%{acpinotifier}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

# address-keeper
cd ../address_keeper-%{addresskeeper}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

# archive
cd ../archive-%{archive}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

#attachwarner
cd ../attachwarner-%{attachwarner}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

#att_remover
cd ../att_remover-%{attremover}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

# bsfilter
cd ../bsfilter_plugin-%{bsfilter}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

# clamd
cd ../clamd-%{clamd}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

# fancy
#cd ../fancy-%{fancy}
cd ../fancy
autoreconf -fi
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

#fetchinfo-plugin
cd ../fetchinfo-plugin-%{fetchinfo}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

# gdata
%if !0%{?rhel}
#cd ../gdata_plugin-%{gdata}
cd ../gdata
autoreconf -fi
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}
%endif

%if 0%{?fedora} >= 12
#geolocation-plugin
cd ../geolocation_plugin-%{geolocation}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}
%endif

%if 0%{?fedora} < 16
#gtkhtml2-viewer
cd ../gtkhtml2_viewer-%{gtkhtml2viewer}
%configure --disable-static --disable-dependency-tracking --disable-rpath
%{__make} %{?_smp_mflags} LIBTOOL=%{_bindir}/libtool
%endif

#mailmbox
cd ../mailmbox-%{mailmbox}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

#newmail
cd ../newmail-%{newmail}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

#notification-plugin
cd ../notification_plugin-%{notification}
%configure --disable-static --disable-dependency-tracking --enable-libnotify
%{__make} %{?_smp_mflags}

#perl
cd ../perl_plugin-%{perl}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

#python
cd ../python_plugin-%{python}
# point the configure script at the right libpython file name because
# the library will be dlopened at run-time
grep 'PYTHON_VERSION}.so"' configure || exit -1
sed -i -e 's!PYTHON_VERSION}.so"!PYTHON_VERSION}.so.1.0"!' configure
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

#rssyl
cd ../rssyl-%{rssyl}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags} LIBTOOL=/usr/bin/libtool

#spamreport
cd ../spam_report-%{spamreport}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

%if !0%{?rhel}
#tnef
cd ../tnef_parse-%{tnef}
OLDCFLAGS="$CFLAGS"
CFLAGS="$CFLAGS -I%{_includedir}/libytnef" \
    %configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}
CFLAGS="$OLDCFLAGS"
%endif

#vcalendar
cd ../vcalendar-%{vcalendar}
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags} LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT

# acpi_notifier
cd acpi_notifier-%{acpinotifier}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang acpi_notifier

# address_keeper
cd address_keeper-%{addresskeeper}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang address_keeper

# archive
cd archive-%{archive}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang archive

# attachwarner
cd attachwarner-%{attachwarner}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang attachwarner

# att_remover
cd att_remover-%{attremover}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -

# bsfilter_plugin
cd bsfilter_plugin-%{bsfilter}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang bsfilter_plugin

#clamd
cd clamd-%{clamd}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang clamd

#fancy
#cd fancy-%{fancy}
cd fancy
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang fancy

#fetchinfo-plugin
cd fetchinfo-plugin-%{fetchinfo}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -

# gdata
%if !0%{?rhel}
cd gdata
#cd gdata_plugin-%{gdata}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang gdata_plugin
%endif

%if 0%{?fedora} >= 12
#geolocation-plugin
cd geolocation_plugin-%{geolocation}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang geolocation_plugin
%endif

%if 0%{?fedora} < 16
#gtkhtml2-viewer
cd gtkhtml2_viewer-%{gtkhtml2viewer}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang gtkhtml2_viewer
%endif

#mailmbox
cd mailmbox-%{mailmbox}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
iconv -f iso8859-1 -t utf8 AUTHORS > AUTHORS.conv
mv -f AUTHORS.conv AUTHORS
cd -

#newmail
cd newmail-%{newmail}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -

#notification-plugin
cd notification_plugin-%{notification}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang notification_plugin

#perl
cd perl_plugin-%{perl}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -

#python
cd python_plugin-%{python}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang python_plugin

#rssyl
cd rssyl-%{rssyl}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang rssyl

#spamreport
cd spam_report-%{spamreport}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang spam_report

%if !0%{?rhel}
#tnef
cd tnef_parse-%{tnef}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang tnef_parse
%endif

#vcalendar
cd vcalendar-%{vcalendar}
%{__make} install DESTDIR=$RPM_BUILD_ROOT CLAWS_MAIL_PLUGINDIR=%{_libdir}/claws-mail/plugins/
cd -
%find_lang vcalendar

find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name "*.a" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc RELEASE_NOTES

%files acpi-notifier -f acpi_notifier.lang
%defattr(-,root,root,-)
%doc acpi_notifier-%{acpinotifier}/ChangeLog
%doc acpi_notifier-%{acpinotifier}/COPYING
%doc acpi_notifier-%{acpinotifier}/NEWS
%doc acpi_notifier-%{acpinotifier}/AUTHORS
%doc acpi_notifier-%{acpinotifier}/README
%{_libdir}/claws-mail/plugins/acpi_notifier*

%files archive -f archive.lang
%defattr(-,root,root,-)
%doc archive-%{archive}/ABOUT-NLS
%doc archive-%{archive}/AUTHORS
%doc archive-%{archive}/ChangeLog
%doc archive-%{archive}/COPYING
%doc archive-%{archive}/NEWS
%doc archive-%{archive}/README
%doc archive-%{archive}/TODO
%{_libdir}/claws-mail/plugins/archive*
%dir %{_includedir}/claws-mail
%dir %{_includedir}/claws-mail/plugins
%{_includedir}/claws-mail/plugins/archive/

%files attachwarner -f attachwarner.lang
%defattr(-,root,root,-)
%{_libdir}/claws-mail/plugins/attachwarner*
%doc attachwarner-%{attachwarner}/AUTHORS
%doc attachwarner-%{attachwarner}/ChangeLog
%doc attachwarner-%{attachwarner}/COPYING
%doc attachwarner-%{attachwarner}/README
%doc attachwarner-%{attachwarner}/TODO

%files address-keeper -f address_keeper.lang
%defattr(-,root,root,-)
%doc address_keeper-%{addresskeeper}/AUTHORS
%doc address_keeper-%{addresskeeper}/ChangeLog
%doc address_keeper-%{addresskeeper}/COPYING
%doc address_keeper-%{addresskeeper}/NEWS
%doc address_keeper-%{addresskeeper}/README
%doc address_keeper-%{addresskeeper}/TODO
%{_libdir}/claws-mail/plugins/address_keeper*

%files att-remover
%defattr(-,root,root,-)
%doc att_remover-%{attremover}/AUTHORS
%doc att_remover-%{attremover}/ChangeLog
%doc att_remover-%{attremover}/COPYING
%doc att_remover-%{attremover}/NEWS
%doc att_remover-%{attremover}/README
%{_libdir}/claws-mail/plugins/att_remover*

%files bsfilter -f bsfilter_plugin.lang
%defattr(-,root,root,-)
%doc bsfilter_plugin-%{bsfilter}/AUTHORS
%doc bsfilter_plugin-%{bsfilter}/ChangeLog
%doc bsfilter_plugin-%{bsfilter}/COPYING
%doc bsfilter_plugin-%{bsfilter}/README
%{_libdir}/claws-mail/plugins/bsfilter*

%files clamd -f clamd.lang
%defattr(-,root,root,-)
%doc clamd-%{clamd}/AUTHORS
%doc clamd-%{clamd}/ChangeLog
%doc clamd-%{clamd}/COPYING
%doc clamd-%{clamd}/NEWS
%doc clamd-%{clamd}/README
%{_libdir}/claws-mail/plugins/clamd*

%files fancy -f fancy.lang
%defattr(-,root,root,-)
#%doc fancy-%{fancy}/COPYING
#%doc fancy-%{fancy}/AUTHORS
#%doc fancy-%{fancy}/README
#%doc fancy-%{fancy}/ChangeLog
%doc fancy/COPYING
%doc fancy/AUTHORS
%doc fancy/README
%doc fancy/ChangeLog
%{_libdir}/claws-mail/plugins/fancy*

%files fetchinfo
%defattr(-,root,root,-)
%doc fetchinfo-plugin-%{fetchinfo}/ChangeLog
%doc fetchinfo-plugin-%{fetchinfo}/COPYING
%doc fetchinfo-plugin-%{fetchinfo}/README
%{_libdir}/claws-mail/plugins/fetchinfo*

%if !0%{?rhel}
%files gdata -f gdata_plugin.lang
%defattr(-,root,root,-)
#%doc gdata_plugin-%{gdata}/AUTHORS
#%doc gdata_plugin-%{gdata}/ChangeLog
#%doc gdata_plugin-%{gdata}/COPYING
#%doc gdata_plugin-%{gdata}/README
%doc gdata/AUTHORS
%doc gdata/ChangeLog
%doc gdata/COPYING
%doc gdata/README
%{_libdir}/claws-mail/plugins/gdata*
%endif

%if 0%{?fedora} >= 12
%files geolocation -f geolocation_plugin.lang
%defattr(-,root,root,-)
%doc geolocation_plugin-%{geolocation}/ChangeLog
%doc geolocation_plugin-%{geolocation}/COPYING
%doc geolocation_plugin-%{geolocation}/README
%{_libdir}/claws-mail/plugins/geolocation*
%endif

%if 0%{?fedora} < 16
%files gtkhtml2-viewer -f gtkhtml2_viewer.lang
%defattr(-,root,root,-)
%doc gtkhtml2_viewer-%{gtkhtml2viewer}/AUTHORS
%doc gtkhtml2_viewer-%{gtkhtml2viewer}/COPYING
%{_libdir}/claws-mail/plugins/gtkhtml2_viewer*
%endif

%files mailmbox
%defattr(-,root,root,-)
%doc mailmbox-%{mailmbox}/AUTHORS
%doc mailmbox-%{mailmbox}/ChangeLog
%doc mailmbox-%{mailmbox}/COPYING
%doc mailmbox-%{mailmbox}/README
%{_libdir}/claws-mail/plugins/mailmbox*

%files newmail
%defattr(-,root,root,-)
%doc newmail-%{newmail}/AUTHORS
%doc newmail-%{newmail}/ChangeLog
%doc newmail-%{newmail}/COPYING
%doc newmail-%{newmail}/NEWS
%doc newmail-%{newmail}/README
%{_libdir}/claws-mail/plugins/newmail.so

%files notification -f notification_plugin.lang
%defattr(-,root,root,-)
%doc notification_plugin-%{notification}/AUTHORS
%doc notification_plugin-%{notification}/ChangeLog
%doc notification_plugin-%{notification}/COPYING
%doc notification_plugin-%{notification}/README
%{_libdir}/claws-mail/plugins/notification_plugin.so
%{_includedir}/notification_plugin

%files perl
%defattr(-,root,root,-)
%doc perl_plugin-%{perl}/AUTHORS
%doc perl_plugin-%{perl}/ChangeLog
%doc perl_plugin-%{perl}/COPYING
%doc perl_plugin-%{perl}/README
%{_libdir}/claws-mail/plugins/perl_plugin.so

%files python -f python_plugin.lang
%defattr(-,root,root,-)
%doc python_plugin-%{python}/AUTHORS
%doc python_plugin-%{python}/ChangeLog
%doc python_plugin-%{python}/COPYING
%doc python_plugin-%{python}/README
%doc python_plugin-%{python}/examples/
%{_libdir}/claws-mail/plugins/python_plugin*

%files rssyl -f rssyl.lang
%defattr(-,root,root,-)
%doc rssyl-%{rssyl}/AUTHORS
%doc rssyl-%{rssyl}/ChangeLog
%doc rssyl-%{rssyl}/COPYING
%{_libdir}/claws-mail/plugins/rssyl*

%files spam-report -f spam_report.lang
%defattr(-,root,root,-)
%doc spam_report-%{spamreport}/{AUTHORS,ChangeLog,COPYING,NEWS,README}
%{_libdir}/claws-mail/plugins/spamreport.so

%if !0%{?rhel}
%files tnef -f tnef_parse.lang
%defattr(-,root,root,-)
%doc tnef_parse-%{tnef}/AUTHORS
%doc tnef_parse-%{tnef}/ChangeLog
%doc tnef_parse-%{tnef}/COPYING
%doc tnef_parse-%{tnef}/README
%{_libdir}/claws-mail/plugins/tnef*
%endif

%files vcalendar -f vcalendar.lang
%defattr(-,root,root,-)
%doc vcalendar-%{vcalendar}/AUTHORS
%doc vcalendar-%{vcalendar}/ChangeLog
%doc vcalendar-%{vcalendar}/COPYING
%doc vcalendar-%{vcalendar}/README
%{_libdir}/claws-mail/plugins/vcalendar*
%dir %{_includedir}/claws-mail
%dir %{_includedir}/claws-mail/plugins
%{_includedir}/claws-mail/plugins/vcalendar/

%changelog
* Thu Oct 06 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.10-7
- pull cvs version of fancy for newer webkit support (rhbz#743834)
- fix debuginfo (rhbz#742249)

* Wed Sep 28 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.10-6
- drop unneeded plugin requires

* Tue Sep 27 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.10-5
- fix requires for mock

* Mon Sep 26 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.10-4
- make plugin api isa dependent

* Sun Sep 25 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.10-3
- change plugin dependencies to depend on plugin api version
  (rhbz#740662)

* Thu Sep 22 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.10-2
- pull gdata cvs version with upstreamed patch for authorizers in
  libgdata >= 0.9.x

* Tue Aug 30 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.10-1
- version upgrade
- add gdata plugin
- remove upstreamed patches

* Thu Aug 04 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.9-9
- deprecate gtkhtml2 on f16 upwards

* Wed Aug 03 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.9-8
- rebuild (cogl)

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 3.7.9-7
- Perl mass rebuild

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 3.7.9-6
- Perl mass rebuild

* Tue Jul 05 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.9-5
- fix libnotify support (rhbz#718828)

* Thu Jun 16 2011 Marcela Mašláňová <mmaslano@redhat.com> - 3.7.9-4
- Perl mass rebuild

* Fri May 20 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.9-3
- fix clam plugin crash (#706322)

* Mon Apr 11 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.9-2
- move some obsoletes to claws-mail package

* Sun Apr 10 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.9-1
- version upgrade
- spec cleanups

* Sat Apr 09 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.8-11
- add build fix for libchamplain 0.9

* Wed Apr 06 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.8-10
- rebuild for libchamplain

* Sun Feb 13 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.8-9
- fix crash in spam plugin (#676352)

* Fri Feb 11 2011 Matthias Clasen <mclasen@redhat.com>
- Rebuild against newer gtk

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb  2 2011 Matthias Clasen <mclasen@redhat.com>
- Rebuild against newer gtk

* Mon Jan 24 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.8-5
- disable tnef on rhel

* Sun Jan 23 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.8-4
- disable dillo on rhel
- make python plugin dlopen right python so (#666335)
- include python plugin examples (#664265)

* Mon Jan 10 2011 Matthias Clasen <mclasen@redhat.com>
- Rebuild against newer gtk

* Wed Dec 08 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.8-2
- fixup clutter-gtk-devel dep

* Wed Dec 08 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.8-1
- version upgrade
- retire cachesaver, synce

* Fri Nov 12 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 3.7.6-9
- patch notification plugin and rebuild for new libnotify 0.7.0

* Mon Nov 08 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.6-8
- rebuild against new libnotify

* Wed Sep 29 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 3.7.6-7
- rebuild against champlain 0.8

* Sat Sep 04 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.6-6
- bump

* Sat Jul 31 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 3.7.6-5
- patch geolocation plugin temporarily to look for champlain-gtk-0.6.pc
  (Fedora 14) so the entire package can be rebuilt for Python 2.7

* Sun Jul 11 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.6-4
- rebuild libchamplain

* Fri Jul 02 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.6-3
- rebuild for webkitgtk

* Tue Jun 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 3.7.6-2
- Mass rebuild with perl-5.12.0

* Tue May 11 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.6-1
- version upgrade

* Tue Feb 09 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.5-1
- version upgrade
- unify specs

* Tue Jan 12 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.4-2
- change Provides/Obsoletes of the geolocation plugin

* Fri Jan 08 2010 Kevin Fenzi <kevin@tummy.com> 
- 3.7.4-1

* Mon Oct 12 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.3-1
- version upgrade
- new plugins bsfilter, python

* Fri Aug 07 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.2-3
- fix crash in fancy plugin (#515373)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 06 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.2-1
- version upgrade
- new plugin: fancy
- fix notification plugin to work with libnotify (#496149)

* Mon Mar 30 2009 Michael Schwendt <mschwendt@fedoraproject.org>
- 3.7.1-2
- use %%find_lang macro

* Sat Mar 28 2009 Kevin Fenzi <kevin@tummy.com> - 3.7.1-1
- Update to 3.7.1

* Thu Mar 19 2009 Michael Schwendt <mschwendt@fedoraproject.org>
- 3.7.0-3
- include directories /usr/include/claws-mail{,/plugins} in
  "archive" and "vcalendar" sub-packages (#473638)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 30 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.7.0-1
- version upgrade

* Fri Nov 21 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.6.1-1
- version upgrade

* Sat Oct 04 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.6.0-1
- version upgrade
- transition smime from plugins to main package

* Mon Sep 08 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.5.0-2
- rebuild

* Mon Jun 30 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.5.0-1
- version upgrade
- upstream dropped pdf plugin
- new archive plugin

* Wed Apr 23 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.4.0-1
- version upgrade

* Tue Mar 18 2008 Tom "spot" Callaway <tcallawa@redhat.com>
- 3.3.1-4
- add missing BR: ExtUtils::Embed

* Tue Mar 18 2008 Tom "spot" Callaway <tcallawa@redhat.com> 
- 3.3.1-3
- add Requires for versioned perl (libperl.so)

* Tue Mar 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.3.1-2
- correct BR

* Sat Feb 23 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.3.1-1
- version upgrade
- clamav plugin has been dropped upstream
- improve descriptions

* Fri Feb 08 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.3.0-1
- version upgrade
- clamav

* Mon Dec 17 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.2.0-1
- version upgrade
- added tnef plugin

* Wed Nov 21 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.1.0-1
- version upgrade

* Mon Oct 08 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.0.1-1
- version upgrade

* Mon Sep 10 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.0.0-2
- fix typo

* Wed Sep 05 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 3.0.0-1
- version upgrade

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 2.10.0-2
- new license tag

* Tue Jul 03 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 2.10.0-1
- version upgrade

* Sat Jun 02 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.9.2-2
- bump

* Tue May 15 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.9.2-1
- version upgrade

* Sat Apr 21 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.9.1-1
- version upgrade which fixes pdfviewer bug

* Mon Apr 16 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.9.0-1
- version upgrade

* Tue Mar 06 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.8.0-2
- bump

* Wed Feb 28 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.8.0-1
- version upgrade
- fix rpath

* Wed Feb 07 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.7.1-2
- bump

* Thu Jan 18 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.7.1-1
- version upgrade

* Fri Dec 22 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.6.1-2
- some more fixes

* Mon Dec 11 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.6.1-1
- version upgrade
- rename to claws-mail-plugins

* Thu Nov 09 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.6.0-1
- version upgrade

* Tue Nov 07 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.5.2-5
- rebuild

* Fri Oct 20 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.5.2-4
- rebuild

* Thu Oct 12 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.5.2-3
- rebuild

* Sun Oct 08 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.5.2-2
- rebuild

* Sat Sep 30 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.5.2-1
- version upgrade

* Tue Sep 26 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.5.0-1
- version upgrade

* Fri Sep 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.4.0-2
- FE6 rebuild

* Wed Aug 02 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.4.0-1
- version upgrade

* Wed Jul 05 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.3.0-2
- bump

* Tue Jun 13 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.3.0-1
- version upgrade

* Tue May 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.0-1
- version upgrade

* Sat Apr 08 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.1.0-1
- version upgrade

* Fri Feb 17 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.0.0-2
- Rebuild for Fedora Extras 5

* Fri Feb 03 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.0.0-1
- version upgrade

* Sun Dec 25 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.100-2
- rebuild

* Thu Nov 17 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.100-1
- version upgrade

* Sun Aug 21 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.13-5
- enable x86_64 synce plugin

* Sat Aug 20 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.13-4
- add dist tag

* Sat Aug 20 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.13-3
- exlude ical.h

* Thu Aug 18 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.13-2
- use setup macro (-c)
- disable synce build on x86_64 for now (#148003)

* Sun Jul 31 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.13-1
- Initial Release
